package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TTrainingbcc;

/**
 * 装置培训跟踪bService接口
 *
 * @author ssy
 * @date 2024-06-19
 */
public interface ITTrainingbccService
{
    /**
     * 查询装置培训跟踪b
     *
     * @param id 装置培训跟踪bID
     * @return 装置培训跟踪b
     */
    public TTrainingbcc selectTTrainingbccById(Long id);

    /**
     * 查询装置培训跟踪b列表
     *
     * @param tTrainingbcc 装置培训跟踪b
     * @return 装置培训跟踪b集合
     */
    public List<TTrainingbcc> selectTTrainingbccList(TTrainingbcc tTrainingbcc);

    /**
     * 新增装置培训跟踪b
     *
     * @param tTrainingbcc 装置培训跟踪b
     * @return 结果
     */
    public int insertTTrainingbcc(TTrainingbcc tTrainingbcc);

    /**
     * 修改装置培训跟踪b
     *
     * @param tTrainingbcc 装置培训跟踪b
     * @return 结果
     */
    public int updateTTrainingbcc(TTrainingbcc tTrainingbcc);

    /**
     * 批量删除装置培训跟踪b
     *
     * @param ids 需要删除的装置培训跟踪bID
     * @return 结果
     */
    public int deleteTTrainingbccByIds(Long[] ids);

    /**
     * 删除装置培训跟踪b信息
     *
     * @param id 装置培训跟踪bID
     * @return 结果
     */
    public int deleteTTrainingbccById(Long id);

    int updateStaffIds(TTrainingbcc tTrainingbcc);
}
